{ Delphi Object for R&R SQL V6.5 Edition }
{ Component Editor }

{ TRRX65 & TRRSQL65 are written and distributed under the GNU 
  General Public License which means that its source code is 
  freely-distributed and available to the general public. }

{ Author Chris Brooksbank (cbrooksbank@dial.pipex.com) }
{ Web Page : http://ds.dial.pipex.com/cbrooksbank }

{ Copyright Chris Brooksbank 1995,1996,1997. }
{ 34 Vermeer Ride
  Springfield
  Chelmsford
  Essex
  CM1 6GA
  United Kingdom } 

unit Rrsed;

interface

uses DsgnIntf;

type

  TRRSQL65Editor= Class(TComponentEditor)
    function GetVerbCount:Integer;Override;
    function GetVerb(Index:Integer):String;override;
    procedure ExecuteVerb(Index:Integer);override;
  end;


implementation

uses RRSQL65;

{ ************************************************************************* }
function TRRSQL65Editor.GetVerbCount:Integer;
{ ************************************************************************* }
begin
  result:=4;
end;

{ ************************************************************************* }
function TRRSQL65Editor.GetVerb(Index:Integer):String;
{ ************************************************************************* }
begin
  case Index of
    0: Result:= 'Edit &Report...';
    1: Result:= 'Load Report';
    2: Result:= 'Preview Report';
    3: Result:= 'Sorting/Grouping';
    4: Result:= 'Printer Setup';
  end;
end;

{ ************************************************************************* }
procedure TRRSQL65Editor.ExecuteVerb(Index:Integer);
{ ************************************************************************* }
begin
  case index of
    0: (Component as TRRSQL65).About:=true;
    1: (Component as TRRSQL65).SelectReportName;
    2: (Component as TRRSQL65).Preview;
    3: (Component as TRRSQL65).SelectSortFields;
    4: (Component as TRRSQL65).SelectPrinter;
  end;
end;


end.
